Ogre::Terrain::LayerInstance Struct Reference

An instance of a layer, with specific texture names. More...

`#include <OgreTerrain.h>`

List of all members.

## Public Member Functions

| LayerInstance ()

## Public Attributes

Real | worldSize
| The world size of the texture to be applied in this layer.
StringVector | textureNames
| List of texture names to import; must match with TerrainLayerDeclaration.

## Detailed Description

An instance of a layer, with specific texture names.

Definition at line 292 of file OgreTerrain.h.

## Constructor & Destructor Documentation

Ogre::Terrain::LayerInstance::LayerInstance | ( |  | ) |

Definition at line 299 of file OgreTerrain.h.

## Member Data Documentation

StringVector Ogre::Terrain::LayerInstance::textureNames

List of texture names to import; must match with TerrainLayerDeclaration.

Definition at line 297 of file OgreTerrain.h.

Real Ogre::Terrain::LayerInstance::worldSize

The world size of the texture to be applied in this layer.

Definition at line 295 of file OgreTerrain.h.

The documentation for this struct was generated from the following file:

- OgreTerrain.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:44